module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.addColumn(
          'users',
          'deleteCode',
          {
            type: Sequelize.TEXT
          },
      ),
      queryInterface.addColumn(
          'users',
          'deleteEnabled',
          {
            type: Sequelize.BOOLEAN,
            defaultValue: false
          },
      ),
    ]);
  },
  down(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.removeColumn(
          'users',
          'deleteCode',
      ),
      queryInterface.removeColumn(
          'users',
          'deleteEnabled',
      )
    ]);
  },
};